Bug 446935 - should look for and handle live image
should look for and handle live image
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: FutureFeature
: 443538 477011 502073 (view as bug list)
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-05-16 13:49 EDT by Bill Nottingham
Modified: 2014-03-16 23:14 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 10:31:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-05-16 13:49:54 EDT
Description of problem:

If mkinitrd is running on a liveusb image, it should make a new live initrd, and
install it to the underlying device for isolinux/syslinux to use.

Version-Release number of selected component (if applicable):

mkinitrd-6.0.52-2.fc9.x86_64
Comment 1 Jeremy Katz 2008-05-29 16:36:22 EDT
If we do this, then we need to keep around the /etc/sysconfig/mkinitrd that was
used at image build time but also figure out some way to not hose things up when
someone goes to do an install from the image.
Comment 2 Jeremy Katz 2008-05-29 16:36:41 EDT
*** Bug 443538 has been marked as a duplicate of this bug. ***
Comment 3 Jeremy Katz 2009-05-06 12:40:47 EDT
*** Bug 477011 has been marked as a duplicate of this bug. ***
Comment 4 Jeremy Katz 2009-05-06 12:57:22 EDT
*** Bug 497398 has been marked as a duplicate of this bug. ***
Comment 5 Jeremy Katz 2009-05-21 14:37:53 EDT
*** Bug 502073 has been marked as a duplicate of this bug. ***
Comment 6 Michael Wiktowy 2009-05-22 16:10:57 EDT
I have been updating the initrd and kernel on my LiveUSB sticks with the following instructions:

http://forums.fedoraforum.org/showpost.php?p=1023695&postcount=7

It seems to work OK although I haven't tried installing the LiveUSB anywhere and I haven't removed the original kernel/initrd that is in the read-only image.

It would be nice if this existing script could be conditionally (if /mnt/live/syslinux exists) called by the kernel installation post-install scripts (the same ones that do the grub config munging) with the right modules variable set and poke the required info into syslinux.cfg too.

Maybe related to Bug 497398
Comment 7 Hans de Goede 2010-01-12 10:31:46 EST
This is a mass edit of all mkinitrd bugs.

Thanks for taking the time to file this bug report (and/or commenting on it).

As you may have heard in Fedora 12 mkinitrd has been replaced by dracut. In Fedora 12 the mkinitrd package is still around as some programs depend on
certain libraries it provides, but mkinitrd itself is no longer used.

In Fedora 13 mkinitrd will be removed completely. This means that all work
on initrd has stopped.

Rather then keeping mkinitrd bugs open and giving false hope they might get fixed we are mass closing them, so as to clearly communicate that no more work will be done on mkinitrd. We apologize for any inconvenience this may cause. 

If you are using Fedora 11 and are experiencing a mkinitrd bug you cannot work around, please upgrade to Fedora 12. If you experience problems with the initrd in Fedora 12, please file a bug against dracut.

Note You need to log in before you can comment on or make changes to this bug.